# Rubric for Worksheet 0

## Correctness

In all cells requiring a solution, a missing solution is automatically given 0
points.

### Exercise 1: Markdown Practice

2: The Markdown source produces the exact output shown in the image.

1: The Markdown source produces at least half of the output shown in the image.
In this case, "at least half" is based on the number of styling elements (e.g.,
paragraph, bold text, images, links).

0: The Markdown source produces less than half of the output shown in the image.

### Exercise 2: Golfing on Jupyter

For each hole:

2: The provided solution results in the correct output *and* the number of
strokes is at most the maximum allowed number.

1: The provided solution results in the correct output, but the number of
strokes is more than the maximum allowed number.

0: The provided solution does not result in the correct output.

#### Bonus

2: All solutions for this exercise are correct, match or beat the best known
values, *and* at least one solution strictly beats the best known values.

1: All solutions for this exercise are correct *and* match the best known
solutions.

0: Any solution for this exercise is incorrect or has a number of strokes more
than the best known value.

### Exercise 3: Characters Count

For each hole:

2: The provided solution results in the correct directory structure and if
applicable, prints the correct output. The number of strokes is less than the
maximum allowed number.

1: The provided solution results in the correct directory structure and output,
but the number of strokes is more than the maximum allowed number.

0: The provided solution does not result in the correct output.

#### Bonus

2: All solutions for this exercise are correct, match or beat the best known
values, *and* at least one solution strictly beats the best known values.

1: All solutions for this exercise are correct *and* match the best known
solutions.

0: Any solution for this exercise is incorrect or has a number of strokes more
than the best known value.

## Style

### General

1: There are fewer than three clear spelling or grammatical errors.

0: There are three or more clear spelling or grammatical errors.

### Markdown

2: There are no solution cells with improper formatting, including extraneous
line breaks or blank lines, incorrect formatting (e.g., an unclosed
parenthesis), and, if headings are used, skipped heading levels.

1: There is at least one and at most three solution cells with improper
formatting.

0: There are more than three solution cells with improper formatting.

### Jupyter

1: There is at most one extraneous cell (e.g., an empty or repeated cell).

0: There are two or more extraneous cells.

### Git

2: Exactly the required files are present in the repository on GitHub, *and* the
Git commit message is reasonably appropriate.

1: One or more extraneous files are present in the repository on GitHub, *or*
the Git commit message is not appropriate, *or* both.

0: One or more non-notebook files are missing from the repository on GitHub.

## Self-Assessment

*None for this worksheet.*

**Self-Assessment Total**: 0 (out of 0)

## Summary

*Correctness*: (out of 18)

*Style*: (out of 6)

*Subtotal*: (out of 24)

*With late multiplier*: (x1 if on time, x0.5 if up to one day late)

*Self-Assessment*: (out of 0)

**Total**: (out of 24)

*Graded by*:

*Reviewed by*:
